%global debug_package %{nil}
%global __requires_exclude_from ^.*(\.fish|patchelf/test/hello)$

# No way to ignore only the test data file :(
%global _binaries_in_noarch_packages_terminate_build   0

%global provider github
%global provider_tld com
%global project spack
%global repo spack
%global import_path %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit0 25cb55ccd97d652d25e38a9a3aff1a456eee95b3
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global date 20230207
%global git0 https://%{import_path}


Name:           spack
Summary:        A flexible package manager
Version:        0.19.1
#Release:        %mkrel 1
Release: %mkrel 0.%{date}git%{shortcommit0}.2

License:        MIT
URL:            https://spack.io/
#Source0:        https://github.com/spack/spack/releases/download/v%{version}/spack-%{version}.tar.gz
Source0:        %{git0}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
Patch0:         find-path-prefix.patch
Group:          System/Packaging
BuildArch:	noarch

BuildRequires: python3
Requires(pre): shadow-utils
Requires: curl
Requires: tar
Requires: make
Requires: glibc-static-devel
Requires: glibc-devel
Requires: fish
Requires: patch
Requires: zip
Requires: unzip
Requires: gcc-gfortran
Requires: gcc-c++
Requires: libstdc++-static-devel
Requires: cmake
Requires: tar
Requires: gzip
Requires: bzip2
Requires: which
Requires: procps-ng
Recommends: spack-repos

%description
Spack is a package manager for supercomputers, Linux, and macOS.
It makes installing scientific software easy. Spack isn’t tied to
a particular language; you can build a software stack in Python
or R, link to libraries written in C, C++, or Fortran, and easily
swap compilers or target specific microarchitectures.

%package docs
Summary: A flexible package manager
Group: Documentation

%description docs
Documentation for spack.

%package repos
Summary: A flexible package manager
Group: System/Packaging

%description repos
Repository for spack.


%prep
#autosetup -p1 spack-%{version}
%autosetup -p1 -n spack-%{commit0}

%build

%install
mkdir -p %{buildroot}%{_prefix}
cp -r lib %{buildroot}%{_prefix}/lib
mkdir -p %{buildroot}%{_bindir}
cp -r bin/* %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}
cp -r share/* %{buildroot}%{_datadir}
cp -r etc %{buildroot}
cp -r var %{buildroot}
mkdir -p %{buildroot}/opt/spack
mkdir -p %{buildroot}/%{_var}/spack/cache

rm -f %{buildroot}/var/spack/repos/builtin/packages/patchelf/test/hello 

%pre
getent group spack >/dev/null || groupadd -r spack
getent passwd spack >/dev/null || \
  useradd -c "Spack package manager" -g spack -d %{_localstatedir}/lib/spack -M -r -s /sbin/nologin spack
  mkdir -p /opt/spack
  chown spack:spack /opt/spack
  chmod ug+rwx /opt/spack
exit 0

%files
%attr(0775,spack,spack) %{_prefix}/lib/spack/*
%attr(0775,spack,spack) %{_datadir}/spack
%{_sysconfdir}/spack
%{_bindir}/sbang
%{_bindir}/spack
%{_bindir}/spack-python
%{_bindir}/spack-tmpconfig
%{_bindir}/haspywin.py
%{_bindir}/spack.bat
%{_bindir}/spack_cmd.bat
%{_bindir}/spack_pwsh.ps1

%attr(0775,spack,spack) %{_var}/spack
%dir %attr(0775,spack,spack) %{_var}/spack/cache
%exclude %{_prefix}/lib/spack/docs
%exclude %{_prefix}/lib/spack/spack/test
%dir %{_var}/spack/repos
%exclude %{_var}/spack/repos/*

%files docs
%{_prefix}/lib/spack/docs
%{_prefix}/lib/spack/spack/test

%files repos
%{_var}/spack/repos/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.19.1-0.20230207git25cb55c.2.mga10
+ Revision: 2217649
- Mageia 10 Mass Rebuild

* Tue Feb 07 2023 joequant <joequant> 0.19.1-0.20230207git25cb55c.1.mga9
+ Revision: 1939059
- update
- update spack

* Sun Dec 18 2022 joequant <joequant> 0.19.1-0.20221218git237d264.1.mga9
+ Revision: 1925185
- update to latest
- update to latest

* Fri Dec 02 2022 joequant <joequant> 0.19.1-0.20221203git3afe6f1.1.mga9
+ Revision: 1914859
- update to 20221203

* Wed Nov 02 2022 joequant <joequant> 0.18.2-0.20221102git4bad9f9.1.mga9
+ Revision: 1901456
- update to latest

* Wed Oct 12 2022 joequant <joequant> 0.18.2-0.20221022git949151a.1.mga9
+ Revision: 1896588
- update spack

* Sun Aug 21 2022 joequant <joequant> 0.18.2-0.20220821git21e6679.1.mga9
+ Revision: 1878933
- fix path prefix

* Sun Jul 10 2022 joequant <joequant> 0.18.1-1.20220710git2159ce0.2.mga9
+ Revision: 1868233
- fix bootstrap prefix

* Sun Jul 10 2022 joequant <joequant> 0.18.1-1.20220710git2159ce0.1.mga9
+ Revision: 1868228
- update to latest

* Sun Jun 05 2022 joequant <joequant> 0.18.1-1.20220605git13b0e73.1.mga9
+ Revision: 1861239
- rebuild
- fix release

* Sun Jun 05 2022 joequant <joequant> 0.18.1-1.mga9
+ Revision: 1861224
- update

* Sat Jun 04 2022 joequant <joequant> 0.18.0-1.mga9
+ Revision: 1861215
- spack 0.18.0

* Tue May 24 2022 joequant <joequant> 0.17.3-0.20220524git95b03e7.1.mga9
+ Revision: 1859991
- update to latest

* Wed May 04 2022 joequant <joequant> 0.17.3-0.20220503git6ecee4e.2.mga9
+ Revision: 1856152
- update to 2
- fix find path prefix

* Tue May 03 2022 joequant <joequant> 0.17.3-0.20220503git6ecee4e.1.mga9
+ Revision: 1855586
- update to latest

* Thu Apr 07 2022 joequant <joequant> 0.17.2-0.20220406gitcd0b6b9.1.mga9
+ Revision: 1847101
- update spack

* Fri Apr 01 2022 joequant <joequant> 0.17.2-0.20220331gitcbba0ff.2.mga9
+ Revision: 1837967
- add source files
- update to latest

* Mon Mar 21 2022 umeabot <umeabot> 0.17.2-0.20220118git5ca6ba6.2.mga9
+ Revision: 1815987
- Mageia 9 Mass Rebuild

* Tue Jan 18 2022 joequant <joequant> 0.17.2-0.20220118git5ca6ba6.1.mga9
+ Revision: 1768914
- update

* Fri Jan 14 2022 joequant <joequant> 0.17.2-0.20220114gite0f0445.1.mga9
+ Revision: 1768263
- update

* Mon Jan 10 2022 joequant <joequant> 0.17.2-0.20220110git7b76e39.1.mga9
+ Revision: 1767866
- update to 20220110

* Thu Jan 06 2022 joequant <joequant> 0.17.2-0.20220106gitf0b70b7.1.mga9
+ Revision: 1767097
- update
- update to latest spack

* Sat Dec 25 2021 joequant <joequant> 0.17.1-1.mga9
+ Revision: 1763597
- update to 0.17.1

* Tue Nov 09 2021 joequant <joequant> 0.17.0-2.mga9
+ Revision: 1755104
- update module root

* Sun Nov 07 2021 joequant <joequant> 0.17.0-1.mga9
+ Revision: 1754362
- update sync
- update to 0.17.0

* Sat Nov 06 2021 joequant <joequant> 0.16.4-0.20211105git82b45d1.2.mga9
+ Revision: 1754051
- fix typo

* Fri Nov 05 2021 joequant <joequant> 0.16.4-0.20211105git82b45d1.1.mga9
+ Revision: 1753976
- update to latest

* Tue Oct 19 2021 joequant <joequant> 0.16.4-0.20211019git95538de.1.mga9
+ Revision: 1752187
- update to latest

* Mon Oct 04 2021 joequant <joequant> 0.16.4-0.20211004git2f6590d.1.mga9
+ Revision: 1749134
- update to latest

* Sun Oct 03 2021 joequant <joequant> 0.16.4-0.20211003git4c1285b.1.mga9
+ Revision: 1748648
- sync with spack

* Sun Sep 26 2021 joequant <joequant> 0.16.4-0.20210926git56858eb.1.mga9
+ Revision: 1746414
- add source
- update to 20210906

* Sun Sep 26 2021 joequant <joequant> 0.16.3-1.mga9
+ Revision: 1746404
- update to 0.16.3

* Tue Jul 20 2021 joequant <joequant> 0.16.3-0.20210720git2c87992.1.mga9
+ Revision: 1737147
- update to latest version

* Thu Apr 01 2021 joequant <joequant> 0.16.2-0.20210401git09dcb16.1.mga9
+ Revision: 1712406
- sync with latest spack

* Thu Mar 18 2021 joequant <joequant> 0.16.2-0.20210318git8cf6ad9.3.mga9
+ Revision: 1704243
- update to latest

* Wed Dec 30 2020 joequant <joequant> 0.16.1-0.20201230gitc22141f.3.mga8
+ Revision: 1665426
- update to latest spack

* Sat Dec 26 2020 pterjan <pterjan> 0.16.1-0.20201216gitd505ef8.3.mga8
+ Revision: 1664024
- Fix __requires_exclude_from regex

* Sat Dec 26 2020 pterjan <pterjan> 0.16.1-0.20201216gitd505ef8.2.mga8
+ Revision: 1664014
- Allow including the test data ELF file in noarch package
- Make all the packages noarch as nothing gets built and nothing gets installed to an arch specific directory, and exclude the x86_64 test binary used to test patchelf from requires.

* Wed Dec 16 2020 joequant <joequant> 0.16.1-0.20201216gitd505ef8.1.mga8
+ Revision: 1658197
- set share to user spack

* Wed Dec 16 2020 joequant <joequant> 0.16.1-0.20201216gitd505ef8.mga8
+ Revision: 1658030
- update to 20201216

* Fri Dec 04 2020 joequant <joequant> 0.16.1-0.20201204git98517af.mga8
+ Revision: 1652495
- update to latest

* Fri Nov 20 2020 joequant <joequant> 0.16.1-0.20201120gitf613e10.mga8
+ Revision: 1647839
- update to latest spack

* Mon Nov 02 2020 joequant <joequant> 0.16.0-0.20201102git4fe56de.mga8
+ Revision: 1641646
- update to 20201102

* Sat Oct 31 2020 joequant <joequant> 0.16.0-0.20201031gitd855ad2.mga8
+ Revision: 1640873
- update to add versions

* Thu Oct 29 2020 joequant <joequant> 0.16.0-0.20201029gitb4a0a43.mga8
+ Revision: 1640326
- update to 20201029

* Fri Oct 09 2020 joequant <joequant> 0.15.5-0.20201008git796561e.mga8
+ Revision: 1632924
- update and add procps-ng
- add procps-ng to requires

* Fri Sep 18 2020 joequant <joequant> 0.15.5-0.20200918git8cb1192.mga8
+ Revision: 1628623
- upgrade

* Sat Sep 05 2020 joequant <joequant> 0.15.5-0.20200905gitba25791.mga8
+ Revision: 1622557
- update with git

* Mon Aug 31 2020 joequant <joequant> 0.15.4-6.mga8
+ Revision: 1620518
- add which
- add spack dependencies
- add more packages

* Wed Aug 19 2020 joequant <joequant> 0.15.4-4.mga8
+ Revision: 1615764
- add static c++ libraries

* Mon Aug 17 2020 joequant <joequant> 0.15.4-3.mga8
+ Revision: 1614543
- add gfortran/c++

* Sun Aug 16 2020 joequant <joequant> 0.15.4-2.mga8
+ Revision: 1614203
- add zip

* Sun Aug 16 2020 joequant <joequant> 0.15.4-1.mga8
+ Revision: 1614198
- update to 0.15.4

* Thu Aug 13 2020 joequant <joequant> 0.15.3-3.mga8
+ Revision: 1613919
- add patch

* Thu Aug 13 2020 joequant <joequant> 0.15.3-2.mga8
+ Revision: 1613893
- fix chmod typo

* Thu Aug 13 2020 joequant <joequant> 0.15.3-1.mga8
+ Revision: 1613841
- update to 0.15.3
- add requires

* Thu Aug 13 2020 joequant <joequant> 0.14.2-9.mga8
+ Revision: 1613821
- add curl to requires

* Thu Aug 13 2020 joequant <joequant> 0.14.2-8.mga8
+ Revision: 1613817
- update
- mkdir opt

* Thu Aug 13 2020 joequant <joequant> 0.14.2-7.mga8
+ Revision: 1613812
- remove /opt
- update /opt

* Thu Aug 13 2020 joequant <joequant> 0.14.2-6.mga8
+ Revision: 1613807
- add shadow utils

* Thu Aug 13 2020 joequant <joequant> 0.14.2-5.mga8
+ Revision: 1613802
- add user spack

* Wed Jun 24 2020 joequant <joequant> 0.14.2-4.mga8
+ Revision: 1599002
- remove /opt
- move tests to docs
- fix spack to work with root directories

* Fri Jun 19 2020 joequant <joequant> 0.14.2-3.mga8
+ Revision: 1596574
- fix up /usr/share

* Sat May 23 2020 joequant <joequant> 0.14.2-2.mga8
+ Revision: 1587042
- split packages
- update buildrequires
- add find path prefix
- split up spack

* Wed May 20 2020 joequant <joequant> 0.14.2-1.mga8
+ Revision: 1586420
- python requires
- imported package spack

